Results 1 to 8 of 8

Thread: Ipkg installation help needed

  1. #1

    Question Ipkg installation help needed

    Hi!

    I am absolutely newbie for Linux..
    I bought a WL-500GP one week ago, and I installed oleg's firmware (WL500gp-1.9.2.7-7f-pre3.trx).

    I want to follow this guide (http://www.macsat.com/macsat/content/view/22/36/) to install ipkg.

    Everything was going ok until then I try to "Installing Basic Software"...
    Code:
    mkdir /opt/tmp < enter >
    mkdir /opt/tmp/ipkg < enter >
    This is ok, but...
    Code:
    ipkg.sh update < enter >
    And then I have this error message:
    Code:
    [admin@(none) root]$ ipkg.sh update
    head: illegal option -- 1
    BusyBox v1.1.3 (2006.06.17-13:20+0000) multi-call binary
    
    Usage: head [OPTION]... [FILE]...

    What's wrong? Can you help me?

    Thanks in advance!

    nszb

  2. #2
    Join Date
    Feb 2005
    Location
    Germany - Frankfurt a.M.
    Posts
    299
    Same for me, anybody who get it work?
    WL-500gP => 1.9.2.7-7g (2007-04-06)
    Running: thttpd, php 5.1, vsftp, rrdtool

    http://onlinefussballmanager.de/userbar/0/53647.png

  3. #3
    See : http://wl500g.info/showthread.php?t=5614
    and in that thread follow the link to the mascat forum.

    Greetings,
    REO

  4. #4
    Join Date
    Feb 2005
    Location
    Germany - Frankfurt a.M.
    Posts
    299
    The answer from the macsat forum (user ttsherpa):


    Code:
    cp /usr/bin/ipkg.sh /opt/myipk.sh
    Edit myipk.sh
    Code:
    vi /opt/myipk.sh
    and remove "-1" from 4 lines that end with "head -1"
    save the file
    Code:
    wq

    Now run
    Code:
    /opt/myipk.sh update
    /opt/myipk.sh install ipkg
    Continue with the rest
    WL-500gP => 1.9.2.7-7g (2007-04-06)
    Running: thttpd, php 5.1, vsftp, rrdtool

    http://onlinefussballmanager.de/userbar/0/53647.png

  5. #5
    Join Date
    Dec 2003
    Location
    Russian Federation
    Posts
    8,356
    Guys, -pre4 firmware should fix this problem. Have you tried using it?

  6. #6
    First, thank you all of your support...

    It works with pre4, so, now I have ctorrent installation problems (http://www.macsat.com/macsat/content/view/34/30/).

    Code:
    [admin@(none) root]$ ipkg install http://www.stud.uni-karlsruhe.de/~uz95/openwrt/ctorrent_1.3.4-dnh2-1_mipsel.ipk
    Downloading http://www.stud.uni-karlsruhe.de/~uz95/openwrt/ctorrent_1.3.4-dnh2-1_mipsel.ipk
    Installing ctorrent (1.3.4-dnh2-1) to root...
    Nothing to be done
    An error ocurred, return value: 1.
    Collected errors:
    ERROR: Cannot satisfy the following dependencies for ctorrent:
             uclibc++ libopenssl
    But how can I install uclibc++ and libopenssl? These packages aren't in the ipkg list..

    I will post this reply to the another forum on macsat.com also.

  7. #7
    Join Date
    Feb 2005
    Location
    Germany - Frankfurt a.M.
    Posts
    299
    Quote Originally Posted by nszb
    First, thank you all of your support...


    But how can I install uclibc++ and libopenssl? These packages aren't in the ipkg list..

    I will post this reply to the another forum on macsat.com also.
    Try to do following:

    1.
    Code:
    ipkg install update
    2.
    Code:
    ipkg install ctorrent
    So all dependencies should be install automatically.
    WL-500gP => 1.9.2.7-7g (2007-04-06)
    Running: thttpd, php 5.1, vsftp, rrdtool

    http://onlinefussballmanager.de/userbar/0/53647.png

  8. #8
    Oh, that works, thank you!
    Next step.. I must learn to how to use ctorrent

Similar Threads

  1. Инструкция по настройке роутера WL-500gP с нуля
    By OlegI in forum Russian Discussion - РУССКИЙ (RU)
    Replies: 1259
    Last Post: 10-02-2011, 22:25
  2. newly installed openwrt, ipkg update error...
    By mutejute in forum WL-HDD Q&A
    Replies: 2
    Last Post: 13-02-2006, 11:23
  3. Ipkg installation manager
    By Rom666 in forum WL-500g Q&A
    Replies: 1
    Last Post: 16-09-2004, 12:34

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •